#!/bin/sh
# Genera HTML con estadísticas de todos los grados
# Dominio público. 2006. Sin garantías. http://structio.sourceforge.net/sigue

outdir=$1;
anio=$2
nper=$3;
fecha=`date +%Y%m%d`

if (test "$outdir" = "") then {
	echo "Primer parámetro debe ser directorio donde quedarán HTMLs";
	exit 1;
} fi;

if (test ! -d $outdir) then {
	echo "Primer parámetro debe ser directorio donde quedarán HTMLs";
	exit 1;
} fi;

if (test "$anio" = "") then {
	echo "Segundo parámetro debe ser anio por generar";
	exit 1;
} fi;

if (test "$nper" = "") then {
	echo "Tercer parámetro debe ser periodo por generar";
	exit 1;
} fi;

per="p$anio-$nper";

PLANEST=/var/saulo/planest/2007/
NS=planest2estval.xsl;
XSLT=/usr/local/share/sigue/xslt/$NS;

export SGML_CATALOG_FILES=$SGML_CATALOG_FILES:/usr/local/share/xml/structio/catalog

woutdir=`(cd $outdir; pwd)`;


cmd="xsltproc --stringparam logros \"Metas\" --stringparam indicadores \"Desempe&ntilde;os\" --stringparam dirplanest \"/var/saulo/planest/2007\" --stringparam periodo \"$per\" --path /usr/local/share/xml/structio/ --catalogs $XSLT col.planest > $outdir/$fecha.html"
echo $cmd;
eval $cmd;

